Skip to main content
GET
/
relay-payload
Get relayer address and nonce
curl --request GET \
  --url https://relayer-v2.polymarket.com/relay-payload
import requests

url = "https://relayer-v2.polymarket.com/relay-payload"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://relayer-v2.polymarket.com/relay-payload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": "0x4da9395388791c22684e03779c3de10934eb9cfb",
  "nonce": "31"
}

Query Parameters

address
string
required

User's signer address Ethereum address (0x-prefixed, 40 hex chars)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5"

type
enum<string>
required

Type of nonce to retrieve

Available options:
PROXY,
SAFE

Response

Relay payload retrieved successfully

address
string

Relayer address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x4da9395388791c22684e03779c3de10934eb9cfb"

nonce
string

Current nonce value

Example:

"31"